# ---------------- Laser Printer devices ---------------- #
# $Id: gdevlips.mak $

$(GLOBJ)gdevlprn.$(OBJ): $(GLSRC)gdevlprn.c $(GLSRC)gdevlprn.h\
 $(gdevprn_h) $(PDEVH)
	$(GLCC) $(GLO_)gdevlprn.$(OBJ) $(C_) $(GLSRC)gdevlprn.c

### --- The Canon LIPS II+/III/IVc/IV printer device --- ###

lipsr_=$(GLOBJ)gdevl4r.$(OBJ) $(GLOBJ)gdevlips.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ)
$(GLOBJ)gdevl4r.$(OBJ): $(GLSRC)gdevl4r.c $(GLSRC)gdevlips.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevl4r.$(OBJ) $(C_) $(GLSRC)gdevl4r.c
$(GLOBJ)gdevlips.$(OBJ): $(GLSRC)gdevlips.c
	$(GLCC) $(GLO_)gdevlips.$(OBJ) $(C_) $(GLSRC)gdevlips.c
lips2p.dev: $(lipsr_) page.dev
	$(SETPDEV) lips2p $(lipsr_)
lips3.dev: $(lipsr_) page.dev
	$(SETPDEV) lips3 $(lipsr_)
bjc880j.dev: $(lipsr_) page.dev
	$(SETPDEV) bjc880j $(lipsr_)
lips4.dev: $(lipsr_) page.dev
	$(SETPDEV) lips4 $(lipsr_)

lipsv_=$(GLOBJ)gdevl4v.$(OBJ) $(GLOBJ)gdevlips.$(OBJ)
lips4v.dev: $(ECHOGS_XE) $(lipsv_) vector.dev
	$(SETDEV) lips4v $(lipsv_)
	$(ADDMOD) lips4v -include vector

$(GLOBJ)gdevl4v.$(OBJ): $(GLSRC)gdevl4v.c $(GLSRC)gdevlips.h $(GDEV) $(math__h)\
 $(gscspace_h) $(gsutil_h) $(gsparam_h) $(gsmatrix_h) $(gdevvec_h)\
 $(ghost_h) $(gzstate_h) $(igstate_h)
	$(GLCC) -DA4 $(GLO_)gdevl4v.$(OBJ) $(C_) $(GLSRC)gdevl4v.c

### ------- Epson ESC/Page printer device ----------------- ###

escpage_=$(GLOBJ)gdevespg.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ) \
	$(GLOBJ)gdevlips.$(OBJ)
$(GLOBJ)gdevespg.$(OBJ): $(GLSRC)gdevespg.c $(GLSRC)gdevlprn.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevespg.$(OBJ) $(C_) $(GLSRC)gdevespg.c

escpage.dev: $(escpage_) page.dev
	$(SETPDEV) escpage $(escpage_)

lp2000.dev: $(escpage_) page.dev
	$(SETPDEV) lp2000 $(escpage_)

### --- The NEC NPDL language printer device ------ ###

npdl_=$(GLOBJ)gdevnpdl.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ) $(GLOBJ)gdevlips.$(OBJ)

$(GLOBJ)gdevnpdl.$(OBJ): $(GLSRC)gdevnpdl.c $(GLSRC)gdevlprn.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevnpdl.$(OBJ) $(C_) $(GLSRC)gdevnpdl.c

npdl.dev: $(npdl_) page.dev
	$(SETPDEV) npdl $(npdl_)

### --- Ricoh RPDL printer device ------ ###

rpdl_=$(GLOBJ)gdevrpdl.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ) $(GLOBJ)gdevlips.$(OBJ)
$(GLOBJ)gdevrpdl.$(OBJ): $(GLSRC)gdevrpdl.c $(GLSRC)gdevlprn.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevrpdl.$(OBJ) $(C_) $(GLSRC)gdevrpdl.c

rpdl.dev: $(rpdl_) page.dev
	$(SETPDEV) rpdl $(rpdl_)

